<template>
  <div>
    <h1 class="mb-8">What’s your hair type?</h1>
    <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice.value"
        v-model="radioSelected"
        :input-value="choice.value"
      >
        <div class="flex items-center justify-between">
          <span>{{ choice.value }}</span>
          <img :src="choice.img" alt="" width="60">
        </div>
      </radio-input>
    </div>
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin],
  name: "YourHair1",
  data() {
    return {
      choices: [
        {
          value: 'Straight',
          img: require('@/assets/img/common/hair-straight.png')
        },
        {
          value: 'Wavy',
          img: require('@/assets/img/common/hair-wavy.png')
        },
        {
          value: 'Curly',
          img: require('@/assets/img/common/hair-curly.png')
        },
        {
          value: 'Coily',
          img: require('@/assets/img/common/hair-coily.png')
        },
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HAIR, newVal, 'stage_1')
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
